Verify Organization Domain
Make sure you have added the required verification to your domain, depending on the method you have chosen (HTTP or DNS challenge). Zitadel will check it and set the domain as verified if it was successful. A verify domain has to be unique.
Required permission:
org.write
Path Parameters
organization_id*string
Organization ID is the unique identifier of the organization whose domain is to be verified.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
domain?string
Domain is the full qualified domain name to be verified.
Response Body
application/json
curl -X POST "https://loading/v2/organizations/string/domains/validation/verify" \ -H "Content-Type: application/json" \ -d '{}'{
"changeDate": "2023-01-15T01:30:15.01Z"
}Was this page helpful?